#include <iostream>
#include <vector>
#include <math.h>

using namespace std;

int main()
{
    int n;
    cin>>n;

    if(n<26){
        cout<<0;
    }else{

    vector<char> niz (n);

    for(int i=0; i<n; i++){
        cin>>niz[i];
    }

    char brojac = 'A';

    long long int rez=1;

    int isti=0;

    for(int j=0; j<n; j++){
        if(niz[j]==brojac){
            isti++;
        }else{
            brojac++;
            rez=rez*isti;
            isti=0;
        }
    }

    cout<<rez%(long long int)(pow(10,9)+7);
}
}